Bug 770959 - Shutting Down VM changes its state to "Pause" for 10sec
Summary: Shutting Down VM changes its state to "Pause" for 10sec
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt
Version: 6.1
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: rc
: ---
Assignee: Daniel Veillard
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 754128
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-30 15:09 UTC by Ken Reilly
Modified: 2012-01-17 12:59 UTC (History)
15 users (show)

Fixed In Version: libvirt-0.9.4-23.el6_2.3
Doc Type: Bug Fix
Doc Text:
When shutting down, a virtual machine had changed its status from the "Up" state to the "Paused" state before it was shutdown. The "Paused" state represented the state when the guest had been already stopped, but QEMU was flushing its internal buffers and was waiting for libvirt to kill it. But this state change confused users so this update adds respective events and modifies libvirt to use the "shutdown" state. A virtual machine now moves from the "Up" to "Powering Down" and then to "Down" state.
Clone Of:
Environment:
Last Closed: 2012-01-17 10:25:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0013 0 normal SHIPPED_LIVE libvirt bug fix and enhancement update 2012-08-03 13:29:55 UTC

Comment 4 yanbing du 2011-12-31 09:46:20 UTC
Test with libvirt-0.9.9-0rc1.el6.x86_64, Bug Verified.
Shut down a running guest in RHEVM, the guest's status will transition as
follows:
Up -> Powering Down -> Down.

Comment 5 yanbing du 2011-12-31 12:53:31 UTC
(In reply to comment #4)
> Test with libvirt-0.9.9-0rc1.el6.x86_64, Bug Verified.
> Shut down a running guest in RHEVM, the guest's status will transition as
> follows:
> Up -> Powering Down -> Down.

Sorry, paste the wrong libvirt version, the pass package should be libvirt-0.9.4-23.el6_2.2.

Comment 7 tingting zheng 2012-01-09 08:51:31 UTC
Verified the bug with libvirt-0.9.4-23.el6_2.4.x86_64.
When shuting down a running guest in RHEVM, the guest's status will transition as
follows:Up -> Powering Down -> Down.

Comment 8 errata-xmlrpc 2012-01-17 10:25:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0013.html

Comment 9 Miroslav Svoboda 2012-01-17 12:59:28 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When shutting down, a virtual machine had changed its status from the "Up" state to the "Paused" state before it was shutdown. The "Paused" state represented the state when the guest had been already stopped, but QEMU was flushing its internal buffers and was waiting for libvirt to kill it. But this state change confused users so this update adds respective events and modifies libvirt to use the "shutdown" state. A virtual machine now moves from the "Up" to "Powering Down" and then to "Down" state.


Note You need to log in before you can comment on or make changes to this bug.